<template>
  <div class="right_con honor" style="height:822px">
    <div class="honor_summny mar_T_12">
      <div class="fl honor_summmny_fgx"></div>
      <p class="fl summny">荣誉体系说明</p>
      <p class="clear content">
         荣誉体系是本平台为了更好地关怀家人而制定的一项福利计划，统计每个家人为梦想的家付出的成果，并回馈给家人的重要保障！根据每位家人的网络推广业绩为荣誉值，达到等级要求的荣誉值便可升级， 尊享家庭的关怀。包括：带薪休假，节日礼物，等级工资补贴，参与各项活动，医疗补贴等福利。
      </p>
    </div>
    <div class="honor_summny mar_T_15">
      <div class="fl honor_summmny_fgx"></div>
      <p class="fl summny">荣誉体系成长规则</p>
      <p class="clear content">荣誉体系分为{{honor_num}}个等级，从{{first_honor_name}}开始，随着荣誉值的不断累积，荣誉等级相应提高。尊享的福利就越多。</p>
    </div>
    <Table :columns="honorSystemList" :data="honorSystemData" class="tables" border></Table>
    <div class="honor_summny mar_T_15">
      <div class="fl honor_summmny_fgx"></div>
      <p class="fl summny">荣誉值如何获得</p>
      <p class="clear con">
        各位亲，当您的推广的用户产生1元的充值，则可获得对应{{performance}}点荣誉值，当荣誉值达到没等级所需要时，系统会自动升级您的荣誉等级。
        <br>即：业绩每1元={{performance}}荣誉值，有效达标用户1名={{effective_user}}荣誉值
      </p>
    </div>
  </div>
</template>
<script>
export default {
  name: "honor_system",
  data() {
    return {
      honor_num:null,
      performance:null,
      effective_user:null,
      first_honor_name:null,
      honorSystemList: [],
      honorSystemData: [
        {
          honor_lv: "推广等级",
        },
        {
          honor_lv: "所需荣誉值",
        },
        {
          honor_lv: "可申请特权奖励",
        },
      ]
    };
  },
  computed: {
    one_class() {
      if (this.is_show_one) {
        return "show";
      } else {
        return "hide";
      }
    },
  },
  watch: {},
  methods: {
    getHonorSetRatio() {
      this.$api.getHonorSetRatio().then(data =>{
        if(data.code==200){
          this.performance=Number(data.data.price_ratio)
          this.effective_user=Number(data.data.user_ratio)
        }
      })
    },
    getHonorSetInfo(page = 1) {
      this.$store.commit('changeloading',true)
      this.$api.getHonorSetInfo({limit:999,page:1}).then(data=>{
        if(data.code==200){
          this.honorSystemList.push(
            {
              title: "荣誉等级",
              key: "honor_lv"
            },
          )
          this.honor_num=data.data.length?data.data.length:0
          this.first_honor_name=data.data[0] && data.data[0].name?data.data[0].name:''
          data.data.forEach((item,index) => {
            this.honorSystemList.push(
              {
                title:item.name,
                render:(h,params)=>{
                  if(typeof params.row[item.id] =='object'){
                    return h('div',params.row[item.id].map((it)=>{
                      return h('p',{
                        style:{
                          height:'20px',
                          marginTop:'10px',
                          marginBottom:'10px',
                        }
                      },it.title)
                    }))
                  }else{
                    return h('span',params.row[item.id])
                  }
                }
              },
            )
            this.honorSystemData[0][item.id]=item.rank
            this.honorSystemData[1][item.id]=item.honor_num
            this.honorSystemData[2][item.id]=item.privilege
          });
          this.$store.commit('changeloading',false)
        }else{
          this.$store.commit('changeloading',false)
          this.$Message.info(data.msg)
        }
      })
    },
  },
  created() {
    this.getHonorSetRatio()
    this.getHonorSetInfo()
  }
};
</script>
<style>
</style>



